< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package wco
  Definition Classes
    root
-  package datamodel
  Definition Classes
    wco
-  package wco
  Definition Classes
    datamodel
-  package response_ds
  Definition Classes
    wco
-  package dms
  Definition Classes
    response_ds
-  package _2
  Definition Classes
    dms
- AdditionalInformationLimitDateTimeType
- AdditionalInformationStatementCodeType
- AdditionalInformationStatementDescriptionTextType
- AdditionalInformationStatementTypeCodeType
- AmendmentChangeReasonCodeType
- AppealOfficeIdentificationIDType
- BankAccountIdentificationIDType
- BankReferenceIDType
- CommunicationIdentificationIDType
- CommunicationTypeCodeType
- ContactOfficeIdentificationIDType
- DeclarationAcceptanceDateTimeType
- DeclarationCancellationDateTimeType
- DeclarationFunctionalReferenceIDType
- DeclarationIdentificationIDType
- DeclarationRejectionDateTimeType
- DeclarationVersionIDType
- DutyTaxFeeAdValoremTaxBaseAmountType
- DutyTaxFeeDeductAmountType
- DutyTaxFeeDutyRegimeCodeType
- DutyTaxFeeQuotaOrderIDType
- DutyTaxFeeSpecificTaxBaseQuantityType
- DutyTaxFeeTypeCodeType
- ErrorDescriptionTextType
- ErrorValidationCodeType
- ObjectFactory
- ObligationGuaranteeReferenceIDType
- PaymentDueDateTimeType
- PaymentPaymentAmountType
- PaymentReferenceIDType
- PaymentTaxAssessedAmountType
- PointerDocumentSectionCodeType
- PointerTagIDType
- ResponseFunctionCodeType
- ResponseFunctionalReferenceIDType
- ResponseIssueDateTimeType
- StatusEffectiveDateTimeType
- StatusNameCodeType
- StatusReleaseDateTimeType

c

wco.datamodel.wco.response_ds.dms._2

# DeclarationAcceptanceDateTimeType 

###

#### class DeclarationAcceptanceDateTimeType extends AnyRef

    <?xml version="1.0" encoding="UTF-8"?><WCOID xmlns:udt="urn:un:unece:uncefact:data:standard:UnqualifiedDataType:6" xmlns:xs="http://www.w3.org/2001/XMLSchema">023</WCOID>

    <?xml version="1.0" encoding="UTF-8"?><WCOFormat xmlns:udt="urn:un:unece:uncefact:data:standard:UnqualifiedDataType:6" xmlns:xs="http://www.w3.org/2001/XMLSchema">an..35</WCOFormat>

Java class for DeclarationAcceptanceDateTimeType complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="DeclarationAcceptanceDateTimeType">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <choice>
            <element name="DateTimeString">
              <complexType>
                <simpleContent>
                  <restriction base="<urn:un:unece:uncefact:data:standard:UnqualifiedDataType:6>DateTimeType">
                  </restriction>
                </simpleContent>
              </complexType>
            </element>
          </choice>
        </restriction>
      </complexContent>
    </complexType>

Linear Supertypes
AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DeclarationAcceptanceDateTimeType
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new DeclarationAcceptanceDateTimeType()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @native() @throws( ... )
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
9.  final def getClass(): Class[_]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  def getDateTimeString(): DateTimeString

    Gets the value of the dateTimeString property.

    Gets the value of the dateTimeString property.

    returns

      possible object is ``

11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  def setDateTimeString(value: DateTimeString): Unit

    Sets the value of the dateTimeString property.

    Sets the value of the dateTimeString property.

    value

      allowed object is ``

17.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
18.  def toString(): String
    Definition Classes
      AnyRef → Any
19.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
20.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
21.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped